Responses
Authorization
BearerAuth
AuthorizationBearer <token>
Bearer token authentication.
Format: Authorization: Bearer sk-xxxxxx
In: header
Request Body
application/json
model*string
input?string|
Input: a string or an array of messages
instructions?string
max_output_tokens?integer
temperature?number
top_p?number
stream?boolean
tools?
tool_choice?string|
reasoning?
previous_response_id?string
truncation?string
Value in
"auto" | "disabled"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://pinerouter.ai/v1/responses" \ -H "Content-Type: application/json" \ -d '{ "model": "gpt-5-5", "input": "Explain DNS in one sentence." }'{
"id": "string",
"object": "response",
"created_at": 0,
"status": "completed",
"model": "string",
"output": [
{
"type": "string",
"id": "string",
"status": "string",
"role": "string",
"content": [
{
"type": "string",
"text": "string"
}
]
}
],
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0,
"prompt_tokens_details": {
"cached_tokens": 0,
"text_tokens": 0,
"audio_tokens": 0,
"image_tokens": 0
},
"completion_tokens_details": {
"text_tokens": 0,
"audio_tokens": 0,
"reasoning_tokens": 0
}
}
}{
"error": {
"code": "",
"message": "Invalid token (request id: 20261102053704107200635868d9d6m7EOL5JK)",
"type": "api_error"
}
}{
"error": {
"code": "",
"message": "This token has no access to model gpt-5-2 (request id: 20261102053704107200635868d9d6m7EOL5JK)",
"type": "api_error"
}
}{
"error": {
"code": "",
"message": "You have reached the request limit: maximum 60 requests in 1 minutes (request id: 20261102053704107200635868d9d6m7EOL5JK)",
"type": "api_error"
}
}{
"error": {
"code": "bad_response_status_code",
"message": "bad response status code 500 (request id: 20261102053704107200635868d9d6m7EOL5JK)",
"type": "api_error",
"param": ""
}
}